<?php
	require_once('./include/admin_inc.php');
	require_once('./include/config.php');
	require_once('./include/admin_function.php');
	
	
	//バグ修正用のパッチファイルです。（作業時間：約2～3分程度）【2015/11/12 アップデートによる】
	
	/*
	
	作業手順
	
	※【ご注意】データファイルを一括更新します。念のため事前に必ずサーバー上のpkobo_news/data/data.datをダウンロードの上、バックアップしておいて下さい。
	
	1，このファイルをpkobo_news/admin/内にアップロードして下さい。
	2，ブラウザでこのファイルにアクセスして下さい。
	3，ページの案内に従って作業を行って下さい。
	4，このページで「すべての修正が完了しました」が表示されれば完了です。
	
	このファイルをサーバー上から削除下さい。
	
	
	*/
	
	
	
	//以下は絶対に変更しないで下さい。
	if(!file_exists($file_path) || !is_writable($file_path)) exit('データファイルが見当たらないか、パーミッションが適切でありません。更新は実施していません。');
	if(isset($_POST['update'])){
		//念のためバックアップしておく
		if(file_exists($backupDataDir) && is_writable($backupDataDir)){
			$file_path_array = explode("/",$file_path);
			$fileName = end($file_path_array);
			$backup_file_name = $backupDataDir."/backup_before_update_".date('YmdHis')."_".$fileName;
			@copy($file_path,$backup_file_name);
		}

		$lines = file($file_path);
		
		if(!empty($lines) && is_array($lines)){
			$writeData = '';
			foreach($lines as $val){
				//置換実施
				$val = str_replace('＜＞',"\t",$val);
				$writeData .= $val;
			}
			
			if(!empty($writeData)){
			
				$fp = fopen($file_path, "r+b") or die("ファイルオープンエラー");
				// 俳他的ロック
				if (flock($fp, LOCK_EX)) {
					ftruncate($fp,0);
					rewind($fp);
					fwrite($fp, $writeData);
						
					fflush($fp);
					flock($fp, LOCK_UN);
					fclose($fp);
				}
			
			}
		}
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>パッチファイル</title>
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta name="Keywords" content="" />
<meta name="Description" content="" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link rel="stylesheet" type="text/css" href="./css/style.css">
<style>
#container{
	line-height:160%;	
}
</style>
</head>
<body>
<div id="container">
<h1>【PKOBO-News01】データ修正用ファイル</h1>
<p>該当バージョン：全バージョン　※ただし、2015/11/11以前にダウンロードされた方が対象です。</p>

<?php if(isset($_POST['update'])){ ?>
<h2>すべての修正が完了しました</h2>
<p>
これですべての作業が完了となります。お疲れ様でした。
<br />
念のため管理画面側、及び表示側をご確認下さい。<br />

<span class="col19">またこのファイルはもう使うことはありませんのでサーバー上から削除下さい。</span></p>
<p>お手数おかけし申し訳ございませんでした。<br />
お気づきの点、ご不明な点がございましたら遠慮なく当サイトのお問い合わせよりご連絡下さい。<br />
<br /><br />
このパッチファイルの動作は十分に検証を行なっておりますが、<br />
万が一問題等が発生した場合には、設定ファイル、及びデータファイルを一旦戻していただき、お問い合わせより遠慮なくご連絡下さい。
</p>
<?php }else{ ?>

<p class="big">お手数おかけしますが、以下2点の対応をお願い致します。</p>
<br />
<br />

<h2>1，設定ファイル（config.php）の修正</h2>

<p>
設定ファイル（config.php）をエディタソフトで開いていただき、194行目付近の以下の箇所を探して下さい。（バージョンによっては行数が異なります）<br />
<br />

<span class="col19  big">$dataSeparateStr = '＜＞';//連結文字列</span><br />
<br />
これを以下に修正して下さい。（間違い防止の為、1行をまるっとコピペ下さい）<br />
<br />
<span class="col19 big">$dataSeparateStr = "\t";//連結文字列</span>
<p>完了後はconfig.phpをサーバーにアップして上書きして下さい。</p>
<p>&nbsp;</p>

<h2>2，データファイルの修正</h2>

<?php if ($dataSeparateStr == "\t") { ?>

<p>1，は完了しておりますので、以下のボタンを押して完了させて下さい。
<br />


一回のみでOKです（複数回押しても問題はありません）。正常に完了した場合、「すべての修正が完了しました」が表示されます。<br />
</p>

<form action="" method="post">
<p class="taC"><input name="update" type="submit" value="　更新実施　" class="submitBtn" /></p>
</form>

<br />
<?php }else{ ?>

<p>
<span class="col19 big">1，の修正が行われていませんのでまずはご対応下さい。</span><br />
対応しましたらこのページをキーボードのF5を押して最新の状態に更新してみて下さい。<br />
正常に変更できれいれば下記ボタンが有効になります。
</p>
<p class="taC"><input name="" type="submit" value="　更新実施　" class="submitBtn" disabled="disabled" /></p>

<?php } ?>

</p>

<?php } ?>
</div>
</body>
</html>